import React, { useState, useEffect } from 'react';
import { BOTUI_BLOCK_TYPES } from 'botui';
import { CSSClasses } from '../types.js';
import { ActionContext, BotUIContext, MessageContext } from '../hooks/index.js';
export const BotUI = ({ bot, children }) => {
    const [action, setAction] = useState(null);
    const [messages, setMessages] = useState([]);
    useEffect(() => {
        bot?.onChange?.(BOTUI_BLOCK_TYPES.MESSAGE, (message) => {
            setMessages([...message]);
        });
        bot?.onChange?.(BOTUI_BLOCK_TYPES.ACTION, (newAction) => {
            setAction({ ...newAction });
        });
    }, [bot]);
    return (React.createElement(BotUIContext.Provider, { value: { bot: bot } },
        React.createElement(ActionContext.Provider, { value: action },
            React.createElement(MessageContext.Provider, { value: messages },
                React.createElement("div", { className: CSSClasses.botui_app_container },
                    React.createElement("div", { className: CSSClasses.botui_container }, children))))));
};
//# sourceMappingURL=BotUI.js.map