/// <reference types="react" />
import { Block, BlockData, BlockMeta } from 'botui';
import { Renderer } from '../types.js';
export declare enum MessageType {
    text = "text",
    embed = "embed",
    image = "image",
    links = "links"
}
declare type MessageBlock = Block & {
    data: BlockData & {
        src?: string;
        text?: string;
    };
    meta: BlockMeta & {
        fromHuman?: boolean;
        messageType?: MessageType;
    };
};
export declare type BotUIMessageTypes = {
    message: MessageBlock;
};
export declare function BotUIMessageText({ message }: BotUIMessageTypes): JSX.Element | null;
export declare function BotUIMessageImage({ message }: BotUIMessageTypes): JSX.Element;
export declare function BotUIMessageEmbed({ message }: BotUIMessageTypes): JSX.Element;
export declare const BotUIMessage: ({ message, renderers, bringIntoView, }: BotUIMessageTypes & {
    renderers: Renderer;
    bringIntoView?: boolean | undefined;
}) => JSX.Element;
declare type BotUIMessageListTypes = {
    renderer?: Renderer;
    bringIntoView?: boolean;
};
export declare const BotUIMessageList: ({ renderer, bringIntoView, }: BotUIMessageListTypes) => JSX.Element;
export {};
//# sourceMappingURL=BotUIMessage.d.ts.map