import React from 'react';
import { CSSClasses } from '../types.js';
import { defaultTexts } from '../const.js';
export function BotUIButton(props) {
    return (React.createElement("button", { onClick: (e) => props?.onClick?.(e), className: `${CSSClasses.botui_button} ${props?.classes ?? ''}` }, props?.text));
}
export function BotUICancelButton(props) {
    return (React.createElement(BotUIButton, { classes: "cancel", text: props?.cancelButtonText ?? defaultTexts.buttons.cancel, onClick: (e) => {
            e.preventDefault();
            props?.onClick?.({
                canceled: true,
                text: props?.cancelMessageText ?? defaultTexts.messages.cancel,
            });
        } }));
}
//# sourceMappingURL=Buttons.js.map