import { useContext, createContext } from 'react';
export const BotUIContext = createContext({});
/**
 * Returns the current botui object from the React context.
 */
export const useBotUI = () => {
    const context = useContext(BotUIContext);
    if (!context) {
        throw new Error(`The \`useBotUI\` hook must be used inside the <BotUI> component's context.`);
    }
    return context.bot;
};
//# sourceMappingURL=useBotUI.js.map